{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.TEST"
  },
  "caption" : "测试实体",
  "codeName" : "TESTUsr12025908CustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr12025908CustomView.json",
  "name" : "TESTUsr12025908CustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr12025908CustomView",
  "getPSDEViewId" : "59D56B56-EF45-4613-995C-51237D53A551",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic"
    } ],
    "codeName" : "Usr1202557958",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "多数据容器测试布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "多项数据容器",
        "dataRegionType" : "MULTIDATA_RAW",
        "dataSourceType" : "DEDATASET",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_multidata_raw",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field_text_dynamic",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field_text_dynamic",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          }
        } ],
        "predefinedType" : "CONTAINER_MULTIDATA_RAW"
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "6F9D5C91-2ED1-4B25-AAFB-C2F62270FA5F",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.TEST"
      },
      "caption" : "测试实体",
      "codeName" : "Usr12025908CustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "多数据容器测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "5f602096ab69fba030593c7569c98cdc",
  "modeltype" : "PSAPPDEVIEW"
}